#
### SITE REFERRER BANING
#RewriteEngine on
## Options +FollowSymlinks
#RewriteCond %{HTTP_REFERER} bc\.googleusercontent\.com [NC]
#RewriteRule .* - [F]
#
### USER IP BANNING
#<Limit GET POST>
# order allow,deny
# deny from 35.223.43.123
# deny from 123.43.223.35
# deny from 185.176.222.39
# deny from 106.75.84.197
# deny from 162.243.131.74
# deny from 178.210.89.119
# deny from 188.143.206.22
# allow from all
#</Limit>


### PHP Variables
#php_flag display_errors off
#
#php_value upload_max_filesize 200M
#php_value max_file_uploads 200
#php_value post_max_size 2000M

Header set Access-Control-Allow-Origin "*"

#SetEnvIfNoCase HOST ^dev.plus-one.ru requireAuth
#AuthType Basic
#AuthName "dev protect"
#AuthUserFile /var/www/.htpasswd
#Order Deny,Allow
#Deny from all
#Satisfy any
#Require valid-user
#Allow from env=!requireAuth

AddDefaultCharset UTF-8
ErrorDocument 404 /404.html

RewriteEngine on

RewriteBase /
#
RewriteCond %{HTTP_HOST} ^www\.(.*) [NC]
RewriteRule ^(.*)$ http://%1/$1 [R=301,L]
#
#RewriteCond %{SERVER_PORT} !^443$
#RewriteRule .* https://%{SERVER_NAME}%{REQUEST_URI} [R=301,L]
#
RewriteCond ${REQUEST_FILENAME} !-d
RewriteCond ${REQUEST_FILENAME} !-f

#RewriteRule ^index.php?$    index.html [R=301,L]

RewriteRule ^.+(favicon.ico)$ favicon.ico [L,NC]
RewriteRule ^.+\.(jpg|jpeg|gif|png|ico|css|js|swf|svg|woff|ttf|woff2|eot|json|pdf|docx?|xlsx|map?)$ $0 [L,NC]

## redirect robots
#RewriteRule ^blog/community/([^/]+)/?$ blog/society/$1 [R=301,L]
#RewriteRule ^blog/([^/]+)/([^/]+)/?$ /$1/$2  [R=301,L]
#RewriteRule ^blogs/community/?$	blogs/society$1 [R=301,L]
#RewriteRule ^blogs/([^/]+)/(\d+)/?$ /$1/$2  [R=301,L]
#RewriteRule ^blogs/([^/]+)/?$ /$1  [R=301,L]
#
#RewriteRule ^leaders/community(.*)/?$	leaders/society$1 [R=301,L]
#RewriteRule ^posttags/community(.*)/$	posttags/society$1 [R=301,L]
#RewriteRule ^posttags/(.*)/?$	tag/$1 [R=301,L]
#
## PLUS1-804 --begin
##http://plus-one.ru/blog/ecology —> https://plus-one.ru/ecology
##http://plus-one.ru/blog/ —> https://plus-one.ru
##https://plus-one.ru/community —> https://plus-one.ru/society
#RewriteRule ^blog/ecology/?$    ecology [R=301,L]
#RewriteRule ^blog/economy/?$    economy [R=301,L]
#RewriteRule ^blog/society/?$    society [R=301,L]
#RewriteRule ^blog/community/?$  society [R=301,L]
#RewriteRule ^community/?$       society [R=301,L]
#RewriteRule ^blog/?$            /        [R=301,L]
## PLUS1-804 --end


#RewriteRule ^case-1.html?$    case-1.html [L,QSA]
#
RewriteRule ^zen.xml/?$  yandex-turbo.xml [R=301,L]
#
#RewriteRule ^events/?$  index.html [L,QSA]
#RewriteRule ^events/([^/]+)/?$	index.html [L,QSA]

# Участники
RewriteRule ^api/v1/author/?$	ajax/getAuthors.php [L,QSA]
RewriteRule ^api/v1/author/(\d+)/?$	ajax/getAuthors.php?page=$1 [L,QSA]
RewriteRule ^api/v1/author/([^/]+)/?$	ajax/getAuthors.php?tag=$1 [L,QSA]
RewriteRule ^api/v1/author/([^/]+)/([^/]+)/?$	ajax/getAuthors.php?tag=$1&page=$2 [L,QSA]
# Блоги
RewriteRule ^api/v1/platform/?$	ajax/getPlatforms.php [L,QSA]
RewriteRule ^api/v1/platform/(\d+)/?$	ajax/getPlatforms.php?page=$1 [L,QSA]
RewriteRule ^api/v1/platform/([^/]+)/?$	ajax/getPlatforms.php?tag=$1 [L,QSA]
RewriteRule ^api/v1/platform/([^/]+)/([^/]+)/?$	ajax/getPlatforms.php?tag=$1&page=$2 [L,QSA]
# Инструкции
RewriteRule ^api/v1/manual/?$	ajax/getManuals.php [L,QSA]
RewriteRule ^api/v1/manual/(\d+)/?$	ajax/getManuals.php?page=$1 [L,QSA]
RewriteRule ^api/v1/manual/([^/]+)/?$	ajax/getManuals.php?tag=$1 [L,QSA]
RewriteRule ^api/v1/manual/([^/]+)/([^/]+)/?$	ajax/getManuals.php?tag=$1&page=$2 [L,QSA]

# Устойчивое развитие
RewriteRule ^api/v1/stable-development/?$	ajax/getStableDevelopmentTags.php [L,QSA]
RewriteRule ^api/v1/stable-development/([^/]+)/?$	ajax/getStableDevelopmentTags.php?tag=$1 [L,QSA]
RewriteRule ^api/v1/stable-development/([^/]+)/([^/]+)/?$	ajax/getStableDevelopmentTags.php?tag=$1&page=$2 [L,QSA]

# New API
RewriteRule ^api/v1/main-page?$	adminv2/api/main_page.php [L,QSA]
RewriteRule ^api/v1/main-menu?$	ajax/getMenu.php [L,QSA]
RewriteRule ^api/v1/main-news?$	ajax/getMainPageNews.php [L,QSA]
RewriteRule ^api/v1/video?$	ajax/getVideo.php [L,QSA]

# теги и посты по тегам
RewriteRule ^api/v1/tag/([^/]+)?$	ajax/getPostTags.php?tag=$1 [L,QSA]
RewriteRule ^api/v1/tag/([^/]+)/([^/]+)?$	ajax/getPostListByTag.php?rubrika_url=$1&tag_url=$2 [L,QSA]
RewriteRule ^api/v1/tag/([^/]+)/([^/]+)/([^/]+)?$	ajax/getPostListByTag.php?rubrika_url=$1&tag_url=$2&page=$3 [L,QSA]
#RewriteRule ^tag/([^/]+)/([^/]+)/([^/]+)?$	index.php?module=Blog&mode=getpostsfromtag&rubrika_url=$1&tag_url=$2&page=$3 [L,QSA]

#Поиск
RewriteRule ^api/v1/search/([^/]+)/([^/]+)?$	ajax/getSearch.php?query=$1&page=$2  [L,QSA]
RewriteRule ^api/v1/search/([^/]+)?$	ajax/getSearch.php?query=$1 [L,QSA]
RewriteRule ^api/autocomplette/?$	/ajax/getAutocomplette.php [L,QSA]

#Пост
RewriteRule ^api/v1/get-content/([^/]+)?$	ajax/getContent.php?url=$1 [L,QSA]
RewriteRule ^api/v1/get-content/([^/]+)/([^/]+)?$	ajax/getContent.php?rubrika=$1&url=$2 [L,QSA]
RewriteRule ^api/v1/getPost/([^/]+)/?$	index.php?module=Blog&mode=getPostInfinityScroll&rubrika_url=$1 [L,QSA]
RewriteRule ^api/v1/getPost/([^/]+)/([^/]+)/?$	index.php?module=Blog&mode=getPostInfinityScroll&rubrika_url=$1&post_id=$2 [L,QSA]
RewriteRule ^api/v1/news-widget/?$	ajax/getNewsWidget.php [L,QSA]

#Новости
RewriteRule ^api/v1/news/(\d+)/(\d+)/(\d+)/([^/]+)?$    ajax/getNewsItem.php?rubrika_url=news&url=$4 [L,QSA]

#Спецпроекты
RewriteRule ^api/v1/special-projects?$  ajax/getSpecialProjects.php [L,QSA]

#Подписка
RewriteRule ^api/v1/subscribe/?$	ajax/subscribe.php [L,QSA]
RewriteRule ^api/v1/confirm-subscribe/([^/]+)/?$	index.php?module=Blog&mode=APIconfirmSubscribe&hash=$1 [L,QSA]
RewriteRule ^ajax/confirm-subscribe/([^/]+)/?$	index.php?module=Blog&mode=confirmSubscribe&hash=$1 [L,QSA]

# Story
RewriteRule ^api/v1/story/?$  /ajax/getStoryList.php [L,QSA]
RewriteRule ^api/v1/story/([^/]+)?$  /ajax/getStoryItem.php?url=$1 [L,QSA]

## Посты в рубриках
RewriteRule ^api/v1/([^/]+)/?$  /ajax/getPostListInfiniteScroll.php?rubrika=$1 [L,QSA]
RewriteRule ^api/v1/([^/]+)/(\d+)/?$  /ajax/getPostListInfiniteScroll.php?rubrika=$1&page=$2 [L,QSA]

# Feeds #
RewriteRule ^yandex-turbo.xml/?$	index.php?module=Rssfeed&mode=zen [L,QSA]
RewriteRule ^yandex-news.xml/?$	index.php?module=Rssfeed&mode=yandex [L,QSA]
RewriteRule ^google-news.xml/?$	index.php?module=Rssfeed&mode=google [L,QSA]
RewriteRule ^facebook.xml/?$	index.php?module=Rssfeed&mode=facebook [L,QSA]
RewriteRule ^flipboard.xml/?$	index.php?module=Rssfeed&mode=flipboard [L,QSA]
RewriteRule ^flipboard-news.xml/?$	index.php?module=Rssfeed&mode=flipboard-news [L,QSA]
RewriteRule ^pulse.xml/?$	index.php?module=Rssfeed&mode=pulse [L,QSA]
RewriteRule ^rambler.xml/?$	index.php?module=Rssfeed&mode=rambler [L,QSA]
RewriteRule ^smi2.xml/?$	index.php?module=Rssfeed&mode=smi2 [L,QSA]
RewriteRule ^lentainform.xml/?$	index.php?module=Rssfeed&mode=lentainform [L,QSA]
RewriteRule ^yandex-zen.xml/?$	index.php?module=Rssfeed&mode=yandex-zen [L,QSA]
RewriteRule ^legal.pdf/?$	index.php?module=Rssfeed&mode=legal [L,QSA]

RewriteRule ^sitemap.xml/?$	index.php?module=Blog&mode=sitemap [L,QSA]



#old routes


#RewriteRule ^leaders/([^/]+)/?$	index.php?module=Blog&mode=getleaders&rubrika_url=$1 [L,QSA]
#RewriteRule ^authors/([^/]+)/?$	index.php?module=Blog&mode=getleaders&rubrika_url=$1 [L,QSA]

#RewriteRule ^api/getPost/([^/]+)/?$	index.php?module=Blog&mode=getPostInfinityScroll&rubrika_url=$1 [L,QSA]

#RewriteRule ^api/about/?$	/ajax/getAbout.php [L,QSA]
#RewriteRule ^api/events/?$	/ajax/getEvents.php [L,QSA]
#RewriteRule ^api/events/([^/]+)/?$	/ajax/getEvent.php?eventUrl=$1 [L,QSA]

#RewriteRule ^api/getallauthors/?$	/ajax/getAllAuthors.php [L,QSA]
#RewriteRule ^api/getauthorsblogs/([^/]+)/([^/]+)/?$	/ajax/getAuthors.php?author_id=$1&page=$2 [L,QSA]

#RewriteRule ^api/getposttag/([^/]+)/([^/]+)/([^/]+)/?$	/ajax/getPostTag.php?rubrika=$1&tag=$2&page=$3 [L,QSA]
#RewriteRule ^api/countposttag/([^/]+)/([^/]+)/?$	/ajax/countPostTag.php?rubrika=$1&tag=$2&page=$3 [L,QSA]


#RewriteRule ^api/services/?$	/ajax/getServices.php [L,QSA]

#RewriteRule ^api/getpost/?$	/ajax/getPost.php [L,QSA]

#RewriteRule ^api/poststypedata/([^/]+)/?$	/ajax/getPostsTypeData.php?author=$1 [L,QSA]


#RewriteRule ^search/([^/]+)/([^/]+)?$	index.php?module=Blog&mode=search&query=$2&page=$1  [L,QSA]
#RewriteRule ^search/([^/]+)?$	index.php?module=Blog&mode=search&query=$1&page=1 [L,QSA]

#RewriteRule ^rss/feed/?$	/ajax/getRss.php [L,QSA]

#RewriteRule ^api/getposttags/([^/]+)?$	/ajax/getPostTagListInfiniteScroll.php?mode=posttag&infinitescroll=1&rubrika=$1&page=1 [L,QSA]
#RewriteRule ^api/getposttags/([^/]+)/([^/]+)/?$	/ajax/getPostTagListInfiniteScroll.php?mode=posttag&infinitescroll=1&rubrika=$1&tag=$2&page=1 [L,QSA]
#RewriteRule ^api/getposttags/([^/]+)/([^/]+)/([^/]+)?$	/ajax/getPostTagListInfiniteScroll.php?mode=posttag&infinitescroll=1&rubrika=$1&tag=$2&page=$3 [L,QSA]

#RewriteRule ^tag/([^/]+)/?$	index.php?module=Blog&mode=posttags&rubrika_url=$1 [L,QSA]


#RewriteRule ^api/getposttags/([^/]+)/([^/]+)/?$	/ajax/getPostTagListInfiniteScroll.php?infinitescroll=1&mode=getpostsfromtag&rubrika=$1&tag_url=$2&page=1 [L,QSA]
#RewriteRule ^api/getposttags/([^/]+)/([^/]+)/([^/]+)/?$	/ajax/getPostTagListInfiniteScroll.php?infinitescroll=1&mode=getpostsfromtag&rubrika=$1&tag_url=$2&page=$3 [L,QSA]

#RewriteRule ^tag/([^/]+)/([^/]+)/?$	index.php?module=Blog&mode=getpostsfromtag&rubrika_url=$1&tag_url=$2&page=1 [L,QSA]
#RewriteRule ^tag/([^/]+)/([^/]+)/([^/]+)/?$	index.php?module=Blog&mode=getpostsfromtag&rubrika_url=$1&tag_url=$2&page=$3 [L,QSA]

#RewriteRule ^api/getpostauthor/([^/]+)/([^/]+)/?$	/ajax/getPostAuthorListInfiniteScroll.php?infinitescroll=1&mode=autorslist&writer_id=$1&page=$2 [L,QSA]
#RewriteRule ^api/getpostauthor/([^/]+)/?$	/ajax/getPostAuthorListInfiniteScroll.php?infinitescroll=1&mode=autorslist&writer_id=$1&page=1 [L,QSA]

#RewriteRule ^author/([^/]+)/([^/]+)/?$	index.php?module=Blog&mode=autorslist&writer_id=$1&page=$2 [L,QSA]
#RewriteRule ^author/([^/]+)/?$	index.php?module=Blog&mode=autorslist&writer_id=$1&page=1 [L,QSA]
#RewriteRule ^author/?$	index.php?module=Blog&mode=autorslist [L,QSA]

#RewriteRule ^confirm-subscribe/([^/]+)/?$	index.php?module=Blog&mode=confirmSubscribe&hash=$1 [L,QSA]
#RewriteRule ^ajax/confirm-subscribe/([^/]+)/?$	index.php?module=Blog&mode=confirmSubscribe&hash=$1&section=mainpage [L,QSA]

#RewriteRule ^map/([^/]+)/?$	/ajax/getPostListInfiniteScroll.php?infinitescroll=1&rubrika=main&page=$2&mode=getsimpleblogs [L,QSA]
#RewriteRule ^map/?$	index.php?module=Blog&rubrika_url=main&infinitescroll=1&page=1&mode=getsimpleblogs [L,QSA]

#RewriteRule ^sitemap.xml/?$	index.php?module=Blog&mode=sitemap [L,QSA]





#RSS
#RewriteRule ^zen.xml/?$	index.php?module=Rssfeed&mode=zen [L,QSA]
#RewriteRule ^yandex-news.xml/?$	index.php?module=Rssfeed&mode=yandex [L,QSA]
#RewriteRule ^google-news.xml/?$	index.php?module=Rssfeed&mode=google [L,QSA]
#RewriteRule ^facebook.xml/?$	index.php?module=Rssfeed&mode=facebook [L,QSA]
#RewriteRule ^flipboard.xml/?$	index.php?module=Rssfeed&mode=flipboard [L,QSA]
#RewriteRule ^pulse.xml/?$	index.php?module=Rssfeed&mode=pulse [L,QSA]
#RewriteRule ^rambler.xml/?$	index.php?module=Rssfeed&mode=rambler [L,QSA]
#RewriteRule ^smi2.xml/?$	index.php?module=Rssfeed&mode=smi2 [L,QSA]
#RewriteRule ^lentainform.xml/?$	index.php?module=Rssfeed&mode=lentainform [L,QSA]


#RewriteRule ^society/?$  index.php?module=Blog&rubrika_url=society&infinitescroll=1&page=1&mode=main [L,QSA]
#RewriteRule ^economy/?$  index.php?module=Blog&rubrika_url=economy&infinitescroll=1&page=1&mode=main [L,QSA]
#RewriteRule ^ecology/?$  index.php?module=Blog&rubrika_url=ecology&infinitescroll=1&page=1&mode=main [L,QSA]
#RewriteRule ^platform/?$  index.php?module=Blog&rubrika_url=platform&infinitescroll=1&page=1&mode=main [L,QSA]
#RewriteRule ^news/?$  index.php?module=Blog&rubrika_url=news&infinitescroll=1&page=1&mode=main [L,QSA]

#RewriteRule ^([^/]+)/(\d+)/?$  /ajax/getPostListInfiniteScroll.php?infinitescroll=1&rubrika=$1&page=$2 [L,QSA]
#RewriteRule ^([^/]+)/([^/\.]+)/?$  index.php?module=Blog&rubrika_url=$1&article_url=$2 [L,QSA]
#RewriteRule ^([^/]+)/(\d{4}/\d{2}/\d{2}/)(.+)/?$  index.php?module=Blog&rubrika_url=$1&infinitescroll=1&article_url=$3&page=1&mode=main [L,QSA]

#Redirect 301 /blog/community/babushka-po-vyzovu http://plus-one.ru/blog/community/babushka-kak-professiya

#Redirect 301 /map https://полезныйгород.рф/

#Redirect 301 /map https://xn--c1acbikjqegacu3l.xn--p1ai/


#RewriteCond %{REQUEST_URI} !\?
#RewriteCond %{REQUEST_URI} !\&
#RewriteCond %{REQUEST_URI} !\=
#RewriteCond %{REQUEST_URI} !\.
#RewriteCond %{REQUEST_URI} !\/$


RewriteRule ^.+\.(php)$ $0 [L]
RewriteRule ^frontend/build/index.html frontend/build/index.html [QSA,L]

RedirectMatch 404 /\\.(svn|git|hg|bzr|cvs)(/|$)
#RedirectMatch 404 /adminv2/filemanager/dialog.php
RedirectMatch 404 /phinx.yml$

RewriteRule ^ sp/build/index.html [QSA,L]
